#logging:
#  level:
#    org.springframework.security: INFO

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 3000

eureka:
  instance:
    prefer-ip-address: true #使用IP注册
    instance-id: ${spring.cloud.client.ip-address}:${server.port}
    leaseRenewalIntervalInSeconds: 10
    health-check-url-path: /actuator/health #2.0后actuator的地址发生了变化
  client:
    registryFetchIntervalSeconds: 5
#    serviceUrl:
#      defaultZone: http://localhost:8761/eureka/

#endpoints:
#  health:
#    sensitive: false
#    enabled: true
#  actuator:
#    enabled: true
#    sensitive: false
#  beans:
#    sensitive: false
#    enabled: true


management:
  endpoints:
    web:
      exposure:
        include: bus-refresh,health,info,hystrix.stream
      cors:
        allowed-origins: "*"
        allowed-methods: "*"
  endpoint:
    health:
      show-details: always
feign:
  hystrix:
    enabled: true

spring:
  #消息总线
  cloud:
    bus:
      enabled: true
      trace:
        enabled: true
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

swagger:
  enable: true